WebUtil Namespace Reference

the WebUtil namespace contains all the objects in the WebUtil module More...

## Classes

class | FileHandler
| this class serves files from the file system based on a root location More...
class | FileStreamRequest
| this class handles chunked file sends More...
class | FileTemplate
| manages a template resource that may need to be recompiled if the file is updated in the filesystem; used by WebUtil::TemplateFileManager More...
class | StaticTemplateManager
| A container for holding static text templates (ie that do not change once created in the template manager) with mixed text and Qore code. More...
class | TemplateFileManager
| this class manages templates based on files More...
class | TextTemplateBase
| this is the base class for all template Program container classes More...

## Detailed Description

the WebUtil namespace contains all the objects in the WebUtil module